﻿using Plugin.Media;
using Plugin.Media.Abstractions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;
using Xamarin.Forms.Xaml;

namespace IESample
{
    [XamlCompilation(XamlCompilationOptions.Compile)]
    public partial class StartPage : ContentPage
    {
        public StartPage()
        {
            InitializeComponent();
        }

        private void TakePhoto_OnClicked(object sender, EventArgs e)
        {
            Device.BeginInvokeOnMainThread(async () => await TakePhotoUI());
        }

        private async Task TakePhotoUI()
        {
            MediaFile file = await CrossMedia.Current.TakePhotoAsync(
                new StoreCameraMediaOptions
                {
                    MaxWidthHeight = 1200,
                    SaveToAlbum = false,
                    PhotoSize = PhotoSize.MaxWidthHeight,
                    CompressionQuality = 100,
                    AllowCropping = false
                });
            if (file != null)
            {
                Navigation.PushAsync(new ImageEditorGettingStarted(file));
            }
        }
    }
}